## org.gnu.gtk
Interface TreeSortable

All Known Implementing Classes:
  ListStore, TreeModelSort, TreeStore

public interface TreeSortable

Interface for Sortable models used by `TreeView`.

Method Summary
`Handle` `getHandle()` Get the handle of the object.
`DataColumn` `getSortColumn()` Get a DataColumn object representing the currently sorted column.
`SortType` `getSortOrder()` Get the current sorting order of the store.
`int` `handleCompareFunc(Handle model, Handle aIter, Handle bIter, int col)` Call-back method invoked by the JNI code when sorting is required.
`void` `setSortColumn(DataColumn column, SortType order)` Set the column in the model to sort on.
`void` `setSortMethod(TreeIterComparison method, DataColumn column)` Set the class used to sort the list according to the values stored in the given DataColumn.

Method Detail

### getHandle

    public Handle getHandle()

  Get the handle of the object.

### setSortColumn

    public void setSortColumn(DataColumn column,
                              SortType order)

  Set the column in the model to sort on.

### getSortColumn

    public DataColumn getSortColumn()

  Get a DataColumn object representing the currently sorted column. This is not the same DataColumn used to create the store. It is only of type DataColumn (not DataColumnString, etc). It can be compared with another DataColumn object using the ``DataColumn.equals(org.gnu.gtk.DataColumn)`` method.

  Returns:
    A DataColumn object representing the currently sorted column or `null` if the is no column currently sorted.

### getSortOrder

    public SortType getSortOrder()

  Get the current sorting order of the store.

  Returns:
    A SortType object defining the current sorting order of the store or `null` if there is no current sort order.

### setSortMethod

    public void setSortMethod(TreeIterComparison method,
                              DataColumn column)

  Set the class used to sort the list according to the values stored in the given DataColumn.

### handleCompareFunc

    public int handleCompareFunc(Handle model,
                                 Handle aIter,
                                 Handle bIter,
                                 int col)

  Call-back method invoked by the JNI code when sorting is required. For internal use only.